# Class GeometryTransform

#### Hierarchy (View Summary)

- GeometryTransform
  - FastTransform

##### Index

### Constructors

constructor

### Properties

_nA
_nB
_nC
_nD
_nE
_nF
_nG
_nH
_nJ
_translation
_vA
_vB
_vC
_vD
_vE
_vF
_vG
_vH
_vJ
type

### Methods

rotatePackedNormal
toMatrixArray
transformInPlace
transformPositions
transformToVertex3
translateToRef
identity
transformToMatrixArray

## Constructors

### constructor

- new GeometryTransform(transform: TransformData): GeometryTransform

  #### Parameters

  - transform: TransformData

  #### Returns GeometryTransform

## Properties

### `Protected`_nA

_nA: number

### `Protected`_nB

_nB: number

### `Protected`_nC

_nC: number

### `Protected`_nD

_nD: number

### `Protected`_nE

_nE: number

### `Protected`_nF

_nF: number

### `Protected`_nG

_nG: number

### `Protected`_nH

_nH: number

### `Protected`_nJ

_nJ: number

### `Protected` `Readonly`_translation

_translation: Vertex3

### `Protected`_vA

_vA: number

### `Protected`_vB

_vB: number

### `Protected`_vC

_vC: number

### `Protected`_vD

_vD: number

### `Protected`_vE

_vE: number

### `Protected`_vF

_vF: number

### `Protected`_vG

_vG: number

### `Protected`_vH

_vH: number

### `Protected`_vJ

_vJ: number

### `Readonly` type

type: TransformType

## Methods

### rotatePackedNormal

- rotatePackedNormal(packedNormal: number): number

  #### Parameters

  - packedNormal: number

  #### Returns number

### toMatrixArray

- toMatrixArray(dst: Float32Array): Float32Array

  #### Parameters

  - dst: Float32Array

  #### Returns Float32Array

### transformInPlace

- transformInPlace(
  x: number,
  y: number,
  z: number,
  dst: MutableArrayLike<number>,
  dstOffset: number,
  ): void

  #### Parameters

  - x: number
  - y: number
  - z: number
  - dst: MutableArrayLike<number>
  - dstOffset: number

  #### Returns void

### transformPositions

- transformPositions(
  positions: ArrayLike<number>,
  vertexCount: number,
  ): Float64Array

  #### Parameters

  - positions: ArrayLike<number>
  - vertexCount: number

  #### Returns Float64Array

### transformToVertex3

- transformToVertex3(x: number, y: number, z: number, dst: Vertex3): void

  #### Parameters

  - x: number
  - y: number
  - z: number
  - dst: Vertex3

  #### Returns void

### translateToRef

- translateToRef(
  cx: number,
  cy: number,
  cz: number,
  dst: GeometryTransform,
  ): GeometryTransform

  #### Parameters

  - cx: number
  - cy: number
  - cz: number
  - dst: GeometryTransform

  #### Returns GeometryTransform

### `Static` identity

- identity(): GeometryTransform

  #### Returns GeometryTransform

### `Static` transformToMatrixArray

- transformToMatrixArray(
  t: TransformData,
  dst: Float64Array,
  offset: number,
  ): void

  #### Parameters

  - t: TransformData
  - dst: Float64Array
  - offset: number

  #### Returns void